%define hordedir /usr/share/horde

Summary:        PEAR: Web-based file manager

Name:           horde-gollem
Version:        3.0.3
Release:        1.lux.1
License:        ASL
Group:          Productivity/Networking/Web/Utilities
Source0:        http://pear.horde.org/get/gollem-%{version}.tgz
Source100:	horde-gollem.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://pear.horde.org/package/gollem
BuildRequires:	php-pear >= 1.7.0
Requires:       horde >= 5.0.0, php-pear >= 1.7.0
#BuildRequires:  php-pear-Horde-Role php-pear-channel-horde

# Taken from the package' xml

Requires:       horde
#Requires:       gettext, json
Requires:	php >= 5.3.0
Requires:	horde >= 5.0.2
Requires:	horde <= 6.0.0alpha1
Conflicts:	horde = 6.0.0alpha1
Requires:	php >= 5.3.0
Requires:	php-pear >= 1.7.0
Requires:	php-pear-Horde-Auth >= 2.0.0
Requires:	php-pear-Horde-Auth <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Auth = 3.0.0alpha1
Requires:	php-pear-Horde-Cache >= 2.0.0
Requires:	php-pear-Horde-Cache <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Cache = 3.0.0alpha1
Requires:	php-pear-Horde-Core >= 2.7.0
Requires:	php-pear-Horde-Core <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Core = 3.0.0alpha1
Requires:	php-pear-Horde-Editor >= 2.0.0
Requires:	php-pear-Horde-Editor <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Editor = 3.0.0alpha1
Requires:	php-pear-Horde-Exception >= 2.0.0
Requires:	php-pear-Horde-Exception <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Exception = 3.0.0alpha1
Requires:	php-pear-Horde-Mime >= 2.0.0
Requires:	php-pear-Horde-Mime <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Mime = 3.0.0alpha1
Requires:	php-pear-Horde-Mime-Viewer >= 2.0.0
Requires:	php-pear-Horde-Mime-Viewer <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Mime-Viewer = 3.0.0alpha1
Requires:	php-pear-Horde-Perms >= 2.0.0
Requires:	php-pear-Horde-Perms <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Perms = 3.0.0alpha1
Requires:	php-pear-Horde-Serialize >= 2.0.0
Requires:	php-pear-Horde-Serialize <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Serialize = 3.0.0alpha1
Requires:	php-pear-Horde-Support >= 2.0.0
Requires:	php-pear-Horde-Support <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Support = 3.0.0alpha1
Requires:	php-pear-Horde-Url >= 2.0.0
Requires:	php-pear-Horde-Url <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Url = 3.0.0alpha1
Requires:	php-pear-Horde-Util >= 2.0.0
Requires:	php-pear-Horde-Util <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Util = 3.0.0alpha1
Requires:	php-pear-Horde-Vfs >= 2.0.0
Requires:	php-pear-Horde-Vfs <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Vfs = 3.0.0alpha1
Requires:	php-pear-Horde-View >= 2.0.0
Requires:	php-pear-Horde-View <= 3.0.0alpha1
Conflicts:	php-pear-Horde-View = 3.0.0alpha1
Requires:	horde >= 5.0.2
Requires:	horde <= 6.0.0alpha1
Conflicts:	horde = 6.0.0alpha1
BuildArch:      noarch

%description
Gollem is a web-based file manager, providing the ability to fully manage a hierarchical file system stored in a variety of backends such as a SQL database, as part of a real filesystem, or on FTP, Samba or SSH servers.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{pear_phpdir} \
        -d doc_dir=%{_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{pear_phpdir}/data \
        -d test_dir=%{pear_phpdir}/test \
        -d ext_dir=%{_libdir} \
        -d horde_dir=%{hordedir} \
        -s

%build

%install
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf.d
cp -p %{SOURCE100} $RPM_BUILD_ROOT/etc/httpd/conf.d/horde-gollem.conf
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
[ -d %{buildroot}/%{_docdir}/gollem ] && mv %{buildroot}/%{_docdir}/gollem %{buildroot}/%{_docdir}/%{name}-%{version}
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{pear_phpdir}/.filemap
rm %{buildroot}/%{pear_phpdir}/.lock
rm -rf %{buildroot}/%{pear_phpdir}/.registry
rm -rf %{buildroot}%{pear_phpdir}/.channels
rm %{buildroot}%{pear_phpdir}/.depdb
rm %{buildroot}%{pear_phpdir}/.depdblock

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{pear_xmldir}/gollem.xml

pushd $RPM_BUILD_ROOT%{hordedir}/gollem/config
for d in *.dist; do
	d0=`basename $d .dist`
		if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done
popd

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{pear_xmldir}/gollem.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/gollem
fi

%files
%defattr(-,root,root)
%config(noreplace)  /etc/httpd/conf.d/horde-gollem.conf
%doc %{_docdir}/%{name}-%{version}
#%{pear_phpdir}/data/gollem
#%{pear_phpdir}/test/gollem
%{pear_xmldir}/gollem.xml
%{hordedir}/gollem
%attr(0770,root,apache) %dir %{hordedir}/gollem/config
%attr(0660,root,apache) %config(noreplace) %{hordedir}/gollem/config/*.php
#/usr/bin/gollem

%changelog
